# payload example GET https://graph.facebook.com/ Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/payload-example ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /: get: operationId: payload-example summary: payload example tags: - '' responses: '200': description: Successful response content: application/json: schema: $ref: '#/components/schemas/payload example_Response_200' requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: payload example_Response_200: type: object properties: {} description: Empty response body title: payload example_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/" payload = "{ \"account_id\": \"musiccast_main\", \"platforms\": [ \"linkedin\", \"facebook\", \"instagram\", \"x\", \"tiktok\", \"youtube\" ], \"media\": { \"m1\": { \"source_url\": \"https://cdn.musicca.st/video.mp4\" }, \"m2\": { \"source_url\": \"https://cdn.musicca.st/img1.jpg\" }, \"m3\": { \"source_url\": \"https://cdn.musicca.st/img2.jpg\" } }, // worker detects content-type and content-length from the headers \"linkedin\": { \"post_type\": \"video\", // \"images\" | \"video\" | \"article\" \"message\": \"{commentary}\", // max 3,000 chars (org page: 700) \"organization_id\": \"urn:li:organization:111886404\", //dynamic \"media\": [ \"m1\" ], // min 1 - 9 images, max 8MB each // Video: max 5GB, max 10 minutes 4MB per chunk // Image: max 8MB \"article\": { \"url\": \"https://musicca.st/blog/1/\", \"title\": \"...\", \"description\": \"...\", \"thumbnail_url\": \"https://...\" } // article only }, \"facebook\": { \"post_type\": \"images\", // \"images\" | \"video\" | \"story_video\" | \"story_image\" | \"article\" \"message\": \"{facebook_message}\", \"page_id\": \"...\", \"media\": [ \"m2\", \"m3\" ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk // story video: max 4GB, max 60 seg // imagen: max 30MB, min 1, \"article\": { \"url\": \"https://musicca.st/blog/1/\" } // article only }, \"instagram\": { \"post_type\": \"carousel\", // \"single_image\" | \"video\" | \"story_video\" | \"story_image\" | \"carousel\" \"caption\": \"{instagram_message}\", \"media\": [ \"m1\", \"m2\" ] // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk // Image: Public URL, served via CDN // Limit: 50 posts/24h, 100 via API/24h // for carousel (max 10 items, image or video) }, \"x\": { \"post_type\": \"image\", // \"images\" | \"video\" | \"article\" \"text\": \"{message}\", // max 280 chars \"media\": [ \"m2\", \"m3\" ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB // video: max 512MB, 4MB per chunk // video: max 512MB, max 2min 20seg // max 4 items \"article\": { \"url\": \"https://musicca.st/blog/1/\" } // article only }, \"tiktok\": { \"post_type\": \"video\", // \"video\" | \"images\" \"title\": \"{title}\", // max 150 chars \"description\": \"{message}\", // max 2,200 chars \"privacy_level\": \"PUBLIC_TO_EVERYONE\", // \"PUBLIC_TO_EVERYONE\" | \"MUTUAL_FOLLOW_FRIENDS\" | \"SELF_ONLY\" \"disable_comment\": false, \"disable_duet\": false, \"disable_stitch\": false, \"auto_add_music\": true, // image only \"media\": [ \"https://musicca.st/cdn-cgi/image/format=jpeg/m2\", \"https://musicca.st/cdn-cgi/image/format=jpeg/m3\" ] // for carousels (image only, min 1 - max 35 imáges:) // for videos (max 4GB (~1GB recomendado), max 60 min) // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url} // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB }, \"youtube\": { \"post_type\": \"video\", // only \"video\" (YT does not support image uploads via API) \"title\": \"{title}\", // max 100 chars \"description\": \"{message}\", // max 5,000 chars \"privacy_status\": \"public\", // \"public\" | \"unlisted\" | \"private\" \"media\": [ \"m1\" ] // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day) // max 256GB o 12h, chunks of 128MB } }" headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/'; const options = { method: 'GET', headers: {'Content-Type': 'application/json'}, body: '"{\n \"account_id\": \"musiccast_main\",\n \"platforms\": [\n \"linkedin\",\n \"facebook\",\n \"instagram\",\n \"x\",\n \"tiktok\",\n \"youtube\"\n ],\n \"media\": {\n \"m1\": {\n \"source_url\": \"https://cdn.musicca.st/video.mp4\"\n },\n \"m2\": {\n \"source_url\": \"https://cdn.musicca.st/img1.jpg\"\n },\n \"m3\": {\n \"source_url\": \"https://cdn.musicca.st/img2.jpg\"\n }\n }, // worker detects content-type and content-length from the headers\n \"linkedin\": {\n \"post_type\": \"video\", // \"images\" | \"video\" | \"article\"\n \"message\": \"{commentary}\", // max 3,000 chars (org page: 700)\n \"organization_id\": \"urn:li:organization:111886404\", //dynamic\n \"media\": [\n \"m1\"\n ], // min 1 - 9 images, max 8MB each\n // Video: max 5GB, max 10 minutes 4MB per chunk\n // Image: max 8MB\n \"article\": {\n \"url\": \"https://musicca.st/blog/1/\",\n \"title\": \"...\",\n \"description\": \"...\",\n \"thumbnail_url\": \"https://...\"\n } // article only\n },\n \"facebook\": {\n \"post_type\": \"images\", // \"images\" | \"video\" | \"story_video\" | \"story_image\" | \"article\"\n \"message\": \"{facebook_message}\",\n \"page_id\": \"...\",\n \n \"media\": [\n \"m2\",\n \"m3\"\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\n // story video: max 4GB, max 60 seg\n // imagen: max 30MB, min 1,\n \"article\": {\n \"url\": \"https://musicca.st/blog/1/\"\n } // article only\n },\n \"instagram\": {\n \"post_type\": \"carousel\", // \"single_image\" | \"video\" | \"story_video\" | \"story_image\" | \"carousel\"\n \"caption\": \"{instagram_message}\",\n \"media\": [\n \"m1\",\n \"m2\"\n ]\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\n // Image: Public URL, served via CDN\n // Limit: 50 posts/24h, 100 via API/24h\n // for carousel (max 10 items, image or video)\n },\n \"x\": {\n \"post_type\": \"image\", // \"images\" | \"video\" | \"article\"\n \"text\": \"{message}\", // max 280 chars\n \"media\": [\n \"m2\",\n \"m3\"\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\n // video: max 512MB, 4MB per chunk\n // video: max 512MB, max 2min 20seg\n // max 4 items\n \"article\": {\n \"url\": \"https://musicca.st/blog/1/\"\n } // article only\n },\n \"tiktok\": {\n \"post_type\": \"video\", // \"video\" | \"images\"\n \"title\": \"{title}\", // max 150 chars\n \"description\": \"{message}\", // max 2,200 chars\n \"privacy_level\": \"PUBLIC_TO_EVERYONE\", // \"PUBLIC_TO_EVERYONE\" | \"MUTUAL_FOLLOW_FRIENDS\" | \"SELF_ONLY\"\n \"disable_comment\": false,\n \"disable_duet\": false,\n \"disable_stitch\": false,\n \"auto_add_music\": true, // image only\n \"media\": [\n \"https://musicca.st/cdn-cgi/image/format=jpeg/m2\",\n \"https://musicca.st/cdn-cgi/image/format=jpeg/m3\"\n ]\n // for carousels (image only, min 1 - max 35 imáges:)\n // for videos (max 4GB (~1GB recomendado), max 60 min)\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\n },\n \"youtube\": {\n \"post_type\": \"video\", // only \"video\" (YT does not support image uploads via API)\n \"title\": \"{title}\", // max 100 chars\n \"description\": \"{message}\", // max 5,000 chars\n \"privacy_status\": \"public\", // \"public\" | \"unlisted\" | \"private\"\n \"media\": [\n \"m1\"\n ]\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\n // max 256GB o 12h, chunks of 128MB\n }\n}"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/" payload := strings.NewReader("\"{\\n \\\"account_id\\\": \\\"musiccast_main\\\",\\n \\\"platforms\\\": [\\n \\\"linkedin\\\",\\n \\\"facebook\\\",\\n \\\"instagram\\\",\\n \\\"x\\\",\\n \\\"tiktok\\\",\\n \\\"youtube\\\"\\n ],\\n \\\"media\\\": {\\n \\\"m1\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/video.mp4\\\"\\n },\\n \\\"m2\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img1.jpg\\\"\\n },\\n \\\"m3\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img2.jpg\\\"\\n }\\n }, // worker detects content-type and content-length from the headers\\n \\\"linkedin\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{commentary}\\\", // max 3,000 chars (org page: 700)\\n \\\"organization_id\\\": \\\"urn:li:organization:111886404\\\", //dynamic\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ], // min 1 - 9 images, max 8MB each\\n // Video: max 5GB, max 10 minutes 4MB per chunk\\n // Image: max 8MB\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\",\\n \\\"title\\\": \\\"...\\\",\\n \\\"description\\\": \\\"...\\\",\\n \\\"thumbnail_url\\\": \\\"https://...\\\"\\n } // article only\\n },\\n \\\"facebook\\\": {\\n \\\"post_type\\\": \\\"images\\\", // \\\"images\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{facebook_message}\\\",\\n \\\"page_id\\\": \\\"...\\\",\\n \\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\\n // story video: max 4GB, max 60 seg\\n // imagen: max 30MB, min 1,\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"instagram\\\": {\\n \\\"post_type\\\": \\\"carousel\\\", // \\\"single_image\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"carousel\\\"\\n \\\"caption\\\": \\\"{instagram_message}\\\",\\n \\\"media\\\": [\\n \\\"m1\\\",\\n \\\"m2\\\"\\n ]\\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\\n // Image: Public URL, served via CDN\\n // Limit: 50 posts/24h, 100 via API/24h\\n // for carousel (max 10 items, image or video)\\n },\\n \\\"x\\\": {\\n \\\"post_type\\\": \\\"image\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"text\\\": \\\"{message}\\\", // max 280 chars\\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\\n // video: max 512MB, 4MB per chunk\\n // video: max 512MB, max 2min 20seg\\n // max 4 items\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"tiktok\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"video\\\" | \\\"images\\\"\\n \\\"title\\\": \\\"{title}\\\", // max 150 chars\\n \\\"description\\\": \\\"{message}\\\", // max 2,200 chars\\n \\\"privacy_level\\\": \\\"PUBLIC_TO_EVERYONE\\\", // \\\"PUBLIC_TO_EVERYONE\\\" | \\\"MUTUAL_FOLLOW_FRIENDS\\\" | \\\"SELF_ONLY\\\"\\n \\\"disable_comment\\\": false,\\n \\\"disable_duet\\\": false,\\n \\\"disable_stitch\\\": false,\\n \\\"auto_add_music\\\": true, // image only\\n \\\"media\\\": [\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m2\\\",\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m3\\\"\\n ]\\n // for carousels (image only, min 1 - max 35 imáges:)\\n // for videos (max 4GB (~1GB recomendado), max 60 min)\\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\\n },\\n \\\"youtube\\\": {\\n \\\"post_type\\\": \\\"video\\\", // only \\\"video\\\" (YT does not support image uploads via API)\\n \\\"title\\\": \\\"{title}\\\", // max 100 chars\\n \\\"description\\\": \\\"{message}\\\", // max 5,000 chars\\n \\\"privacy_status\\\": \\\"public\\\", // \\\"public\\\" | \\\"unlisted\\\" | \\\"private\\\"\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ]\\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\\n // max 256GB o 12h, chunks of 128MB\\n }\\n}\"") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"account_id\\\": \\\"musiccast_main\\\",\\n \\\"platforms\\\": [\\n \\\"linkedin\\\",\\n \\\"facebook\\\",\\n \\\"instagram\\\",\\n \\\"x\\\",\\n \\\"tiktok\\\",\\n \\\"youtube\\\"\\n ],\\n \\\"media\\\": {\\n \\\"m1\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/video.mp4\\\"\\n },\\n \\\"m2\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img1.jpg\\\"\\n },\\n \\\"m3\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img2.jpg\\\"\\n }\\n }, // worker detects content-type and content-length from the headers\\n \\\"linkedin\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{commentary}\\\", // max 3,000 chars (org page: 700)\\n \\\"organization_id\\\": \\\"urn:li:organization:111886404\\\", //dynamic\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ], // min 1 - 9 images, max 8MB each\\n // Video: max 5GB, max 10 minutes 4MB per chunk\\n // Image: max 8MB\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\",\\n \\\"title\\\": \\\"...\\\",\\n \\\"description\\\": \\\"...\\\",\\n \\\"thumbnail_url\\\": \\\"https://...\\\"\\n } // article only\\n },\\n \\\"facebook\\\": {\\n \\\"post_type\\\": \\\"images\\\", // \\\"images\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{facebook_message}\\\",\\n \\\"page_id\\\": \\\"...\\\",\\n \\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\\n // story video: max 4GB, max 60 seg\\n // imagen: max 30MB, min 1,\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"instagram\\\": {\\n \\\"post_type\\\": \\\"carousel\\\", // \\\"single_image\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"carousel\\\"\\n \\\"caption\\\": \\\"{instagram_message}\\\",\\n \\\"media\\\": [\\n \\\"m1\\\",\\n \\\"m2\\\"\\n ]\\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\\n // Image: Public URL, served via CDN\\n // Limit: 50 posts/24h, 100 via API/24h\\n // for carousel (max 10 items, image or video)\\n },\\n \\\"x\\\": {\\n \\\"post_type\\\": \\\"image\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"text\\\": \\\"{message}\\\", // max 280 chars\\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\\n // video: max 512MB, 4MB per chunk\\n // video: max 512MB, max 2min 20seg\\n // max 4 items\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"tiktok\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"video\\\" | \\\"images\\\"\\n \\\"title\\\": \\\"{title}\\\", // max 150 chars\\n \\\"description\\\": \\\"{message}\\\", // max 2,200 chars\\n \\\"privacy_level\\\": \\\"PUBLIC_TO_EVERYONE\\\", // \\\"PUBLIC_TO_EVERYONE\\\" | \\\"MUTUAL_FOLLOW_FRIENDS\\\" | \\\"SELF_ONLY\\\"\\n \\\"disable_comment\\\": false,\\n \\\"disable_duet\\\": false,\\n \\\"disable_stitch\\\": false,\\n \\\"auto_add_music\\\": true, // image only\\n \\\"media\\\": [\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m2\\\",\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m3\\\"\\n ]\\n // for carousels (image only, min 1 - max 35 imáges:)\\n // for videos (max 4GB (~1GB recomendado), max 60 min)\\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\\n },\\n \\\"youtube\\\": {\\n \\\"post_type\\\": \\\"video\\\", // only \\\"video\\\" (YT does not support image uploads via API)\\n \\\"title\\\": \\\"{title}\\\", // max 100 chars\\n \\\"description\\\": \\\"{message}\\\", // max 5,000 chars\\n \\\"privacy_status\\\": \\\"public\\\", // \\\"public\\\" | \\\"unlisted\\\" | \\\"private\\\"\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ]\\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\\n // max 256GB o 12h, chunks of 128MB\\n }\\n}\"" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://graph.facebook.com/") .header("Content-Type", "application/json") .body("\"{\\n \\\"account_id\\\": \\\"musiccast_main\\\",\\n \\\"platforms\\\": [\\n \\\"linkedin\\\",\\n \\\"facebook\\\",\\n \\\"instagram\\\",\\n \\\"x\\\",\\n \\\"tiktok\\\",\\n \\\"youtube\\\"\\n ],\\n \\\"media\\\": {\\n \\\"m1\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/video.mp4\\\"\\n },\\n \\\"m2\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img1.jpg\\\"\\n },\\n \\\"m3\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img2.jpg\\\"\\n }\\n }, // worker detects content-type and content-length from the headers\\n \\\"linkedin\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{commentary}\\\", // max 3,000 chars (org page: 700)\\n \\\"organization_id\\\": \\\"urn:li:organization:111886404\\\", //dynamic\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ], // min 1 - 9 images, max 8MB each\\n // Video: max 5GB, max 10 minutes 4MB per chunk\\n // Image: max 8MB\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\",\\n \\\"title\\\": \\\"...\\\",\\n \\\"description\\\": \\\"...\\\",\\n \\\"thumbnail_url\\\": \\\"https://...\\\"\\n } // article only\\n },\\n \\\"facebook\\\": {\\n \\\"post_type\\\": \\\"images\\\", // \\\"images\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{facebook_message}\\\",\\n \\\"page_id\\\": \\\"...\\\",\\n \\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\\n // story video: max 4GB, max 60 seg\\n // imagen: max 30MB, min 1,\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"instagram\\\": {\\n \\\"post_type\\\": \\\"carousel\\\", // \\\"single_image\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"carousel\\\"\\n \\\"caption\\\": \\\"{instagram_message}\\\",\\n \\\"media\\\": [\\n \\\"m1\\\",\\n \\\"m2\\\"\\n ]\\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\\n // Image: Public URL, served via CDN\\n // Limit: 50 posts/24h, 100 via API/24h\\n // for carousel (max 10 items, image or video)\\n },\\n \\\"x\\\": {\\n \\\"post_type\\\": \\\"image\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"text\\\": \\\"{message}\\\", // max 280 chars\\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\\n // video: max 512MB, 4MB per chunk\\n // video: max 512MB, max 2min 20seg\\n // max 4 items\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"tiktok\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"video\\\" | \\\"images\\\"\\n \\\"title\\\": \\\"{title}\\\", // max 150 chars\\n \\\"description\\\": \\\"{message}\\\", // max 2,200 chars\\n \\\"privacy_level\\\": \\\"PUBLIC_TO_EVERYONE\\\", // \\\"PUBLIC_TO_EVERYONE\\\" | \\\"MUTUAL_FOLLOW_FRIENDS\\\" | \\\"SELF_ONLY\\\"\\n \\\"disable_comment\\\": false,\\n \\\"disable_duet\\\": false,\\n \\\"disable_stitch\\\": false,\\n \\\"auto_add_music\\\": true, // image only\\n \\\"media\\\": [\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m2\\\",\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m3\\\"\\n ]\\n // for carousels (image only, min 1 - max 35 imáges:)\\n // for videos (max 4GB (~1GB recomendado), max 60 min)\\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\\n },\\n \\\"youtube\\\": {\\n \\\"post_type\\\": \\\"video\\\", // only \\\"video\\\" (YT does not support image uploads via API)\\n \\\"title\\\": \\\"{title}\\\", // max 100 chars\\n \\\"description\\\": \\\"{message}\\\", // max 5,000 chars\\n \\\"privacy_status\\\": \\\"public\\\", // \\\"public\\\" | \\\"unlisted\\\" | \\\"private\\\"\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ]\\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\\n // max 256GB o 12h, chunks of 128MB\\n }\\n}\"") .asString(); ``` ```php request('GET', 'https://graph.facebook.com/', [ 'body' => '"{\\n \\"account_id\\": \\"musiccast_main\\",\\n \\"platforms\\": [\\n \\"linkedin\\",\\n \\"facebook\\",\\n \\"instagram\\",\\n \\"x\\",\\n \\"tiktok\\",\\n \\"youtube\\"\\n ],\\n \\"media\\": {\\n \\"m1\\": {\\n \\"source_url\\": \\"https://cdn.musicca.st/video.mp4\\"\\n },\\n \\"m2\\": {\\n \\"source_url\\": \\"https://cdn.musicca.st/img1.jpg\\"\\n },\\n \\"m3\\": {\\n \\"source_url\\": \\"https://cdn.musicca.st/img2.jpg\\"\\n }\\n }, // worker detects content-type and content-length from the headers\\n \\"linkedin\\": {\\n \\"post_type\\": \\"video\\", // \\"images\\" | \\"video\\" | \\"article\\"\\n \\"message\\": \\"{commentary}\\", // max 3,000 chars (org page: 700)\\n \\"organization_id\\": \\"urn:li:organization:111886404\\", //dynamic\\n \\"media\\": [\\n \\"m1\\"\\n ], // min 1 - 9 images, max 8MB each\\n // Video: max 5GB, max 10 minutes 4MB per chunk\\n // Image: max 8MB\\n \\"article\\": {\\n \\"url\\": \\"https://musicca.st/blog/1/\\",\\n \\"title\\": \\"...\\",\\n \\"description\\": \\"...\\",\\n \\"thumbnail_url\\": \\"https://...\\"\\n } // article only\\n },\\n \\"facebook\\": {\\n \\"post_type\\": \\"images\\", // \\"images\\" | \\"video\\" | \\"story_video\\" | \\"story_image\\" | \\"article\\"\\n \\"message\\": \\"{facebook_message}\\",\\n \\"page_id\\": \\"...\\",\\n \\n \\"media\\": [\\n \\"m2\\",\\n \\"m3\\"\\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\\n // story video: max 4GB, max 60 seg\\n // imagen: max 30MB, min 1,\\n \\"article\\": {\\n \\"url\\": \\"https://musicca.st/blog/1/\\"\\n } // article only\\n },\\n \\"instagram\\": {\\n \\"post_type\\": \\"carousel\\", // \\"single_image\\" | \\"video\\" | \\"story_video\\" | \\"story_image\\" | \\"carousel\\"\\n \\"caption\\": \\"{instagram_message}\\",\\n \\"media\\": [\\n \\"m1\\",\\n \\"m2\\"\\n ]\\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\\n // Image: Public URL, served via CDN\\n // Limit: 50 posts/24h, 100 via API/24h\\n // for carousel (max 10 items, image or video)\\n },\\n \\"x\\": {\\n \\"post_type\\": \\"image\\", // \\"images\\" | \\"video\\" | \\"article\\"\\n \\"text\\": \\"{message}\\", // max 280 chars\\n \\"media\\": [\\n \\"m2\\",\\n \\"m3\\"\\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\\n // video: max 512MB, 4MB per chunk\\n // video: max 512MB, max 2min 20seg\\n // max 4 items\\n \\"article\\": {\\n \\"url\\": \\"https://musicca.st/blog/1/\\"\\n } // article only\\n },\\n \\"tiktok\\": {\\n \\"post_type\\": \\"video\\", // \\"video\\" | \\"images\\"\\n \\"title\\": \\"{title}\\", // max 150 chars\\n \\"description\\": \\"{message}\\", // max 2,200 chars\\n \\"privacy_level\\": \\"PUBLIC_TO_EVERYONE\\", // \\"PUBLIC_TO_EVERYONE\\" | \\"MUTUAL_FOLLOW_FRIENDS\\" | \\"SELF_ONLY\\"\\n \\"disable_comment\\": false,\\n \\"disable_duet\\": false,\\n \\"disable_stitch\\": false,\\n \\"auto_add_music\\": true, // image only\\n \\"media\\": [\\n \\"https://musicca.st/cdn-cgi/image/format=jpeg/m2\\",\\n \\"https://musicca.st/cdn-cgi/image/format=jpeg/m3\\"\\n ]\\n // for carousels (image only, min 1 - max 35 imáges:)\\n // for videos (max 4GB (~1GB recomendado), max 60 min)\\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\\n },\\n \\"youtube\\": {\\n \\"post_type\\": \\"video\\", // only \\"video\\" (YT does not support image uploads via API)\\n \\"title\\": \\"{title}\\", // max 100 chars\\n \\"description\\": \\"{message}\\", // max 5,000 chars\\n \\"privacy_status\\": \\"public\\", // \\"public\\" | \\"unlisted\\" | \\"private\\"\\n \\"media\\": [\\n \\"m1\\"\\n ]\\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\\n // max 256GB o 12h, chunks of 128MB\\n }\\n}"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"account_id\\\": \\\"musiccast_main\\\",\\n \\\"platforms\\\": [\\n \\\"linkedin\\\",\\n \\\"facebook\\\",\\n \\\"instagram\\\",\\n \\\"x\\\",\\n \\\"tiktok\\\",\\n \\\"youtube\\\"\\n ],\\n \\\"media\\\": {\\n \\\"m1\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/video.mp4\\\"\\n },\\n \\\"m2\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img1.jpg\\\"\\n },\\n \\\"m3\\\": {\\n \\\"source_url\\\": \\\"https://cdn.musicca.st/img2.jpg\\\"\\n }\\n }, // worker detects content-type and content-length from the headers\\n \\\"linkedin\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{commentary}\\\", // max 3,000 chars (org page: 700)\\n \\\"organization_id\\\": \\\"urn:li:organization:111886404\\\", //dynamic\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ], // min 1 - 9 images, max 8MB each\\n // Video: max 5GB, max 10 minutes 4MB per chunk\\n // Image: max 8MB\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\",\\n \\\"title\\\": \\\"...\\\",\\n \\\"description\\\": \\\"...\\\",\\n \\\"thumbnail_url\\\": \\\"https://...\\\"\\n } // article only\\n },\\n \\\"facebook\\\": {\\n \\\"post_type\\\": \\\"images\\\", // \\\"images\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"article\\\"\\n \\\"message\\\": \\\"{facebook_message}\\\",\\n \\\"page_id\\\": \\\"...\\\",\\n \\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk\\n // story video: max 4GB, max 60 seg\\n // imagen: max 30MB, min 1,\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"instagram\\\": {\\n \\\"post_type\\\": \\\"carousel\\\", // \\\"single_image\\\" | \\\"video\\\" | \\\"story_video\\\" | \\\"story_image\\\" | \\\"carousel\\\"\\n \\\"caption\\\": \\\"{instagram_message}\\\",\\n \\\"media\\\": [\\n \\\"m1\\\",\\n \\\"m2\\\"\\n ]\\n // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk\\n // Image: Public URL, served via CDN\\n // Limit: 50 posts/24h, 100 via API/24h\\n // for carousel (max 10 items, image or video)\\n },\\n \\\"x\\\": {\\n \\\"post_type\\\": \\\"image\\\", // \\\"images\\\" | \\\"video\\\" | \\\"article\\\"\\n \\\"text\\\": \\\"{message}\\\", // max 280 chars\\n \\\"media\\\": [\\n \\\"m2\\\",\\n \\\"m3\\\"\\n ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB\\n // video: max 512MB, 4MB per chunk\\n // video: max 512MB, max 2min 20seg\\n // max 4 items\\n \\\"article\\\": {\\n \\\"url\\\": \\\"https://musicca.st/blog/1/\\\"\\n } // article only\\n },\\n \\\"tiktok\\\": {\\n \\\"post_type\\\": \\\"video\\\", // \\\"video\\\" | \\\"images\\\"\\n \\\"title\\\": \\\"{title}\\\", // max 150 chars\\n \\\"description\\\": \\\"{message}\\\", // max 2,200 chars\\n \\\"privacy_level\\\": \\\"PUBLIC_TO_EVERYONE\\\", // \\\"PUBLIC_TO_EVERYONE\\\" | \\\"MUTUAL_FOLLOW_FRIENDS\\\" | \\\"SELF_ONLY\\\"\\n \\\"disable_comment\\\": false,\\n \\\"disable_duet\\\": false,\\n \\\"disable_stitch\\\": false,\\n \\\"auto_add_music\\\": true, // image only\\n \\\"media\\\": [\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m2\\\",\\n \\\"https://musicca.st/cdn-cgi/image/format=jpeg/m3\\\"\\n ]\\n // for carousels (image only, min 1 - max 35 imáges:)\\n // for videos (max 4GB (~1GB recomendado), max 60 min)\\n // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url}\\n // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB\\n },\\n \\\"youtube\\\": {\\n \\\"post_type\\\": \\\"video\\\", // only \\\"video\\\" (YT does not support image uploads via API)\\n \\\"title\\\": \\\"{title}\\\", // max 100 chars\\n \\\"description\\\": \\\"{message}\\\", // max 5,000 chars\\n \\\"privacy_status\\\": \\\"public\\\", // \\\"public\\\" | \\\"unlisted\\\" | \\\"private\\\"\\n \\\"media\\\": [\\n \\\"m1\\\"\\n ]\\n // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day)\\n // max 256GB o 12h, chunks of 128MB\\n }\\n}\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"account_id\": \"musiccast_main\", \"platforms\": [ \"linkedin\", \"facebook\", \"instagram\", \"x\", \"tiktok\", \"youtube\" ], \"media\": { \"m1\": { \"source_url\": \"https://cdn.musicca.st/video.mp4\" }, \"m2\": { \"source_url\": \"https://cdn.musicca.st/img1.jpg\" }, \"m3\": { \"source_url\": \"https://cdn.musicca.st/img2.jpg\" } }, // worker detects content-type and content-length from the headers \"linkedin\": { \"post_type\": \"video\", // \"images\" | \"video\" | \"article\" \"message\": \"{commentary}\", // max 3,000 chars (org page: 700) \"organization_id\": \"urn:li:organization:111886404\", //dynamic \"media\": [ \"m1\" ], // min 1 - 9 images, max 8MB each // Video: max 5GB, max 10 minutes 4MB per chunk // Image: max 8MB \"article\": { \"url\": \"https://musicca.st/blog/1/\", \"title\": \"...\", \"description\": \"...\", \"thumbnail_url\": \"https://...\" } // article only }, \"facebook\": { \"post_type\": \"images\", // \"images\" | \"video\" | \"story_video\" | \"story_image\" | \"article\" \"message\": \"{facebook_message}\", \"page_id\": \"...\", \"media\": [ \"m2\", \"m3\" ], // video (feed/reel): max 4GB, from June 2025 all videos are Reels, 128MB per chunk // story video: max 4GB, max 60 seg // imagen: max 30MB, min 1, \"article\": { \"url\": \"https://musicca.st/blog/1/\" } // article only }, \"instagram\": { \"post_type\": \"carousel\", // \"single_image\" | \"video\" | \"story_video\" | \"story_image\" | \"carousel\" \"caption\": \"{instagram_message}\", \"media\": [ \"m1\", \"m2\" ] // Video/Reel: No officially documented size limit, max 60 min, 4MB per chunk // Image: Public URL, served via CDN // Limit: 50 posts/24h, 100 via API/24h // for carousel (max 10 items, image or video) }, \"x\": { \"post_type\": \"image\", // \"images\" | \"video\" | \"article\" \"text\": \"{message}\", // max 280 chars \"media\": [ \"m2\", \"m3\" ], // imagen: max 5MB (PNG/JPEG/WEBP), GIF max 15MB // video: max 512MB, 4MB per chunk // video: max 512MB, max 2min 20seg // max 4 items \"article\": { \"url\": \"https://musicca.st/blog/1/\" } // article only }, \"tiktok\": { \"post_type\": \"video\", // \"video\" | \"images\" \"title\": \"{title}\", // max 150 chars \"description\": \"{message}\", // max 2,200 chars \"privacy_level\": \"PUBLIC_TO_EVERYONE\", // \"PUBLIC_TO_EVERYONE\" | \"MUTUAL_FOLLOW_FRIENDS\" | \"SELF_ONLY\" \"disable_comment\": false, \"disable_duet\": false, \"disable_stitch\": false, \"auto_add_music\": true, // image only \"media\": [ \"https://musicca.st/cdn-cgi/image/format=jpeg/m2\", \"https://musicca.st/cdn-cgi/image/format=jpeg/m3\" ] // for carousels (image only, min 1 - max 35 imáges:) // for videos (max 4GB (~1GB recomendado), max 60 min) // TikTok convierte auto a JPEG: el worker hace prefix https://musicca.st/cdn-cgi/image/format=jpeg/{url} // Chunks: 64MB each, last one not counted/joined to the second to last can be up to 128MB }, \"youtube\": { \"post_type\": \"video\", // only \"video\" (YT does not support image uploads via API) \"title\": \"{title}\", // max 100 chars \"description\": \"{message}\", // max 5,000 chars \"privacy_status\": \"public\", // \"public\" | \"unlisted\" | \"private\" \"media\": [ \"m1\" ] // quota: ~6 uploads/day per project (1,600 units per upload, 10,000/day) // max 256GB o 12h, chunks of 128MB } }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```